//FYI: https://github.com/Tencent/puerts/blob/master/doc/unity/manual.md

import Config from "./Config";
import MenuExtension from "./MenuExtension";

const FairyEditor = CS.FairyEditor
const App = FairyEditor.App;
App.pluginManager.LoadUIPackage(App.pluginManager.basePath + "/" + eval("__dirname") + '/Extend')
App.pluginManager.LoadUIPackage(App.pluginManager.basePath + "/" + eval("__dirname") + '/Basic')

const menuExt = new MenuExtension();
menuExt.start();
const config = Config.load();
App.consoleView.Log(`Config psd2fguiPluginsPath:${config.psd2fguiPluginsPath} dependencyManifestPath:${config.dependencyManifestPath}`);
// console.log('hello world');
function onDestroy() {
    //do cleanup here
    menuExt.onDestroy();
}

export { onDestroy, config };
